6.0.0-git
2019-03-21

[#8989] drag and drop message to hidden folder
Summary drag and drop message to hidden folder
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester rsalmon (at) mbpgroup (dot) com
Created 2010-04-28 (3249 days ago)
Due
Updated 2010-05-24 (3223 days ago)
Assigned 2010-04-28 (3249 days ago)
Resolved 2010-05-24 (3223 days ago)
Milestone
Patch No

History
2010-05-24 19:26:11 Michael Slusarz Comment #9
State ⇒ Resolved
Reply to this comment
Patch slightly modified and committed.
2010-05-24 19:22:01 Git Commit Comment #8 Reply to this comment
2010-05-24 13:48:47 rsalmon (at) mbpgroup (dot) com Comment #7 Reply to this comment
Definitely looks more like a browser/OS/UI bug than an issue with 
the JS code.  (For the record, I tested with FF 3.6 on Ubuntu and 
WinXP).

Going to mark as not a bug.  If you can provide further debug 
information, we will reopen this ticket.
The following small patch does the job for me.
I have 150 folders and everything works as expected using Firefox.

If I understood correctly;
p[1] seems to be the size of the folder tree (folders that are 
expanded) * some value (probably font height)
p[3] = p[1] + dim.height

I've noticed that when dealing with lots of folder, p[1] is always 
bigger than window.innerHeight and that probably why it was always 
scrolling back to the first folder of the tree.


--- dragdrop2.js.org        2010-05-24 16:33:50.000000000 +0200
+++ dragdrop2.js        2010-05-24 16:34:37.000000000 +0200
@@ -626,16 +626,16 @@
          //    speed[0] = this.lastCoord[0] - p[0];
          //}
          // Top scroll
-        if (this.lastCoord[1] < p[1]) {
-            speed[1] = this.lastCoord[1] - p[1];
+        if (this.lastCoord[1] <(window.innerHeight - dim.height)) {
+            speed[1] = this.lastCoord[1] - (window.innerHeight - dim.height);
          }
          // Scroll right
          //if (this.lastCoord[0] > p[2]) {
          //    speed[0] = this.lastCoord[0] - p[2];
          //}
          // Scroll left
-        if (this.lastCoord[1] > p[3]) {
-            speed[1] = this.lastCoord[1] - p[3];
+        if (this.lastCoord[1] > (window.innerHeight - 10)) {
+            speed[1] = this.lastCoord[1] - (window.innerHeight - 10);
          }

          if (speed[0] || speed[1]) {

2010-04-29 17:09:20 Michael Slusarz Comment #6
State ⇒ Not A Bug
Reply to this comment
Definitely looks more like a browser/OS/UI bug than an issue with the 
JS code.  (For the record, I tested with FF 3.6 on Ubuntu and WinXP).

Going to mark as not a bug.  If you can provide further debug 
information, we will reopen this ticket.
2010-04-29 07:26:06 rsalmon (at) mbpgroup (dot) com Comment #5 Reply to this comment
For further debugging information, please read the 'AJAX 
Troubleshooting' section in imp/docs/INSTALL.
I don't see any error in apache/horde logs file.
Firebug seems to be happy and horde caches are disabled.
Firefox's cache was cleared as well as user's prefs.

I'll see if I can find something but I doubt it.
2010-04-28 17:43:35 Michael Slusarz Comment #4 Reply to this comment
For further debugging information, please read the 'AJAX 
Troubleshooting' section in imp/docs/INSTALL.
2010-04-28 17:20:38 Michael Slusarz Comment #3
State ⇒ Unconfirmed
Reply to this comment
Works for me.
2010-04-28 13:14:20 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2010-04-28 09:06:53 rsalmon (at) mbpgroup (dot) com Comment #2
New Attachment: test-0000.mpeg.zip Download
Reply to this comment
Firefox 3.5.9 and 3.6.3

I can't drag and drop a message to any of the last folders. when 
dragging the message, the folder list automatically scroll back up 
to the beginning of the folder list.

The attached video will probably explain better.
2010-04-28 09:04:41 rsalmon (at) mbpgroup (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ drag and drop message to hidden folder
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Firefox 3.5.9 and 3.6.3

I can't drag and drop a message to any of the last folders. when 
dragging the message, the folder list automatically scroll back up to 
the beginning of the folder list.

The attached video will probably explain better.

Saved Queries